/***************************************************************************
                          menubar.cpp  -  description
                             -------------------
    begin                : Sun Jul 16 2000
    copyright            : (C) 2000 by Joris Struyve
    email                : joris@struyve.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

/* CVS information :
 *
 * $Id: menubar.cpp,v 1.11 2002/08/18 18:24:26 js Exp $
 *
 */

#include "k8ktest.h"

MenuBar::MenuBar( QWidget *parent,char *name )
        : QMenuBar( parent, name)
{
	
	file = new QPopupMenu(this);
		file->insertItem( "&Quit", parent, SLOT(Exit()), CTRL+Key_Q );
	
	view = new QPopupMenu(this);
		view->insertItem("&IC send/receive...",parent,SLOT(ShowI2cDialog()) );
	options =new QPopupMenu(this);
		options->insertItem( "&Options...", parent, SLOT(ShowOptionDialog()) );
		options->insertItem( "&Restore Settings", parent, SLOT(RestoreSettings()) );
		this->saveonexit = options->insertItem( "&Save Settings on exit", this, SLOT(ToggleSaveonexitState()) );
		options->setItemChecked(saveonexit,FALSE);
		
		options->insertItem( "&Font...", parent, SLOT(ShowFontDialog()) );

	help = new QPopupMenu(this);
		help->insertItem( "&About", parent, SLOT(ShowAbout()), CTRL+Key_A );
	
	this->insertItem( "&File", file );
	this->insertItem( "&View", view );
	this->insertItem( "&Options", options );
	this->insertItem( "&Help", help);
}

MenuBar::~MenuBar()
{}

void MenuBar::SetSaveonexitState(int state)
{
	if(state)
		options->setItemChecked(saveonexit,TRUE);
	else
		options->setItemChecked(saveonexit,FALSE);
}
