/***************************************************************************
                          general.cpp  -  description
                             -------------------
    begin                : Sun Jul 16 2000
    copyright            : (C) 2000 by Joris Struyve
    email                : joris@struyve.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

/* CVS information :
 *
 * $Id: general.cpp,v 1.10 2002/08/19 19:21:07 js Exp $
 *
 */

#include "k8ktest.h"

/* anti zombie */
void Signal(int i)
{
	if(i == SIGCHLD) wait(NULL);
	    signal(SIGCHLD, Signal);
}

int Power(int num,int pw)
{
        if(pw == 0)
                return 1;
        if(pw == 1)
                return num;
        return Power(num*num,pw-1);
}

void ByteToHex(byte *ba,char **result,int len)
{
        int i,strlen;
        char *tmp;

        strlen = sizeof(char)*len*3;
        (*result) = (char*)malloc(strlen);
        tmp = *result;
        for(i=0;i<len;i++)
        {
                sprintf(tmp,"%02X.",ba[i]);
                tmp = tmp+3;
        }
        (*result)[strlen-1] = 0;
}

void ByteToBin(byte *ba,char **result,int len)
{
        int i,j;
        int strlen;

        strlen = sizeof(char)*len*9;
        (*result) = (char*)malloc(strlen);
        for(i=0;i<len;i++)
        {
                for(j=0;j<8;j++)
                {
                        if( (ba[i]&(1<<j)) )
                                (*result)[i*9+j] = '1';
                        else
                                (*result)[i*9+j] = '0';
                }
                (*result)[(i+1)*9-1] = '.';
        }
        (*result)[strlen-1] = 0;
}

void HexToByte(const char *string,byte **result)
{
        int i,j=0;
        int sum= 0;

        (*result) = (byte*)malloc( (sizeof(byte)*strlen(string)/2) +1);
        for(i=strlen(string);i>0;i--)
        {
                switch (string[i-1])
                {
                        case '0':
                                sum += 0 * Power(16,(j%2));
                                break;
                        case '1':
                                sum += 1 * Power(16,(j%2));
                                break;
                        case '2':
                                sum += 2 * Power(16,(j%2));
                                break;
                        case '3':
                                sum += 3 * Power(16,(j%2));
                                break;
                        case '4':
                                sum += 4 * Power(16,(j%2));
                                break;
                        case '5':
                                sum += 5 * Power(16,(j%2));
                                break;
                        case '6':
                                sum += 6 * Power(16,(j%2));
                                break;
                        case '7':
                                sum += 7 * Power(16,(j%2));
                                break;
                        case '8':
                                sum += 8 * Power(16,(j%2));
                                break;
                        case '9':
                                sum += 9 * Power(16,(j%2));
                                break;
                        case 'A':
                                sum += 10 * Power(16,(j%2));
                                break;
                        case 'B':
                                sum += 11 * Power(16,(j%2));
                                break;
                        case 'C':
                                sum += 12 * Power(16,(j%2));
                                break;
                        case 'D':
                                sum += 13 * Power(16,(j%2));
                                break;
                        case 'E':
                                sum += 14 * Power(16,(j%2));
                                break;
                        case 'F':
                                sum += 15 * Power(16,(j%2));
                                break;
                        default:
                                break;
                } /* end switch */
                if(j%2)
                {
                        (*result)[i/2]=sum;
                        sum = 0;
                }
                j++;
        }
        (*result)[strlen(string)/2+1]=0;
}
