Summary: A Velleman K8000 diagnostic program.
Name: k8ktest
Version: DR7
Release: 1
License: GPL
Distribution: Kweetnie
Group: Applications/System
Source: http://struyve.mine.nu:8080/others/k8ktest-DR7-source_only.tar.gz
URL: http://struyve.mine.nu:8080/
Vendor: Joris Struyve <joris@struyve.be>
Packager: joris Struyve <joris@struyve.be>
%description
This is a GUI program to test your Velleman K8000
computer interface board.

%prep
rm -fr $RPM_BUILD_DIR/k8ktest
tar -zxvf $RPM_SOURCE_DIR/k8ktest-DR7-source_only.tar.gz

%build
cd $RPM_BUILD_DIR/k8ktest
make

%install
install -m 755 $RPM_BUILD_DIR/k8ktest/k8ktest /usr/bin
mkdir -p /usr/share/doc/k8ktest-DR7
install -m 644 $RPM_BUILD_DIR/k8ktest/AUTHORS /usr/share/doc/k8ktest-DR7
install -m 644 $RPM_BUILD_DIR/k8ktest/INSTALL /usr/share/doc/k8ktest-DR7
install -m 644 $RPM_BUILD_DIR/k8ktest/ChangeLog /usr/share/doc/k8ktest-DR7
install -m 644 $RPM_BUILD_DIR/k8ktest/COPYING /usr/share/doc/k8ktest-DR7
install -m 644 $RPM_BUILD_DIR/k8ktest/TODO /usr/share/doc/k8ktest-DR7

%files
/usr/bin/k8ktest
/usr/share/doc/k8ktest-DR7/AUTHORS
/usr/share/doc/k8ktest-DR7/INSTALL
/usr/share/doc/k8ktest-DR7/ChangeLog
/usr/share/doc/k8ktest-DR7/COPYING
/usr/share/doc/k8ktest-DR7/TODO
